using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableinsignianoteprofileaddalert1 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "MarkALert",
                table: "InsigniaRequestProfiles");

            migrationBuilder.AddColumn<bool>(
                name: "MarkDiscipline",
                table: "InsigniaRequestProfiles",
                type: "tinyint(1)",
                nullable: true,
                comment: "แจ้งเตือน มีโทษทางวินัย");

            migrationBuilder.AddColumn<bool>(
                name: "MarkLeave",
                table: "InsigniaRequestProfiles",
                type: "tinyint(1)",
                nullable: true,
                comment: "แจ้งเตือน ไม่ได้เลื่อนเงินเดือน/ไม่ได้เลื่อนขั้น เนื่องจากลาเกิน");

            migrationBuilder.AddColumn<bool>(
                name: "MarkRate",
                table: "InsigniaRequestProfiles",
                type: "tinyint(1)",
                nullable: true,
                comment: "แจ้งเตือน ผลการประเมินการปฏิบัติราชการในรอบ 5 ปี ต่ำกว่าระดับดี (น้อยกว่าร้อยละ 70)");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "MarkDiscipline",
                table: "InsigniaRequestProfiles");

            migrationBuilder.DropColumn(
                name: "MarkLeave",
                table: "InsigniaRequestProfiles");

            migrationBuilder.DropColumn(
                name: "MarkRate",
                table: "InsigniaRequestProfiles");

            migrationBuilder.AddColumn<string>(
                name: "MarkALert",
                table: "InsigniaRequestProfiles",
                type: "longtext",
                nullable: true,
                comment: "มาร์คแจ้งเตือนความผิด")
                .Annotation("MySql:CharSet", "utf8mb4");
        }
    }
}
